Subject: bug#35540: Installer displays encrypted partition password entry in cleartext

From: Ludovic Courtès <[email-masked]>
Date: Fri, 03 May 2019 12:07:49 +0200

Hi,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> When creating an encrypted partition in Manual partitioning (maybe
> also Guided?) in the Newt installer, it asks for a password with which
> to encrypt the partition.  However only the password confirmation
> password entry diplays ******* instead of the typed password, the
> password entry before displays the password in cleartext.

This is done on purpose as I wrote in commit
453c976501bb4d5c4c6b832b7c0c1ec3d493b80f:

         ;; Note: Don't use FLAG-PASSWORD here because this is the
         ;; first bit of text that the user types in, so it's
         ;; probably safer if they can see that the keyboard layout
         ;; they chose is in effect.

I’m not entirely sure this is the right thing to do, but I thought that
as a user I’d want to make sure I really typed what I thought I typed.

WDYT?

Ludo’.